Skip to content

Edit the opening post content of an idea ​

Ideas

An author can change the content of an idea for a limited time after submiting the idea. The default edit time span is 60 minutes. Moderators can always change the content of an idea that was submitted by any other author.

POST
/ideas/{id}/editContent

Parameters​

Path Parameters

id*

ID of the idea to interact with

Type
string
Required

Query Parameters

authorId*

ID of the author or moderator making the edits

Type
string
Required

Request Body​

application/json
JSON
{
  
"content": "My updated content"
}

Responses​

Idea edited

Samples​

Gainsight CC Developer Portal